Jump to content

MediaWiki:Gadget-coin-copper.user.css: Difference between revisions

From LithoGraphica
Reversedragon (talk | contribs)
m brighter brown
Reversedragon (talk | contribs)
m now using b tag
 
Line 2: Line 2:
@name          Nickel emoji
@name          Nickel emoji
@namespace      github.com/openstyles/stylus
@namespace      github.com/openstyles/stylus
@version        1.0.2
@version        1.0.3
@description    Shows Template:Nickel in approximately US nickel color. (Might not work in all browsers)
@description    Shows Template:Nickel in approximately US nickel color. (Might not work in all browsers)
@author        reverseDragon
@author        reverseDragon
Line 13: Line 13:
credit for this recoloring trick goes to:  barrd.dev/article/adding-colour-to-an-emoji-using-different-css-techniques/ */
credit for this recoloring trick goes to:  barrd.dev/article/adding-colour-to-an-emoji-using-different-css-techniques/ */


.nickel-page .visual { filter: invert(9%) sepia(70%) saturate(50%) hue-rotate(370deg) brightness(90%) }
.nickel-page .visual {
filter: invert(9%) sepia(70%) saturate(50%) hue-rotate(370deg) brightness(90%);
font-weight: normal;  /* in manually-written templates the "b" tag is used to represent the different color */
}


/* [[C:Hue configuration Gadgets]] [[C:Nickel page templates]] */
/* [[C:Hue configuration Gadgets]] [[C:Nickel page templates]] */

Latest revision as of 03:38, 7 May 2026

/* ==UserStyle==
@name           Nickel emoji
@namespace      github.com/openstyles/stylus
@version        1.0.3
@description    Shows Template:Nickel in approximately US nickel color. (Might not work in all browsers)
@author         reverseDragon
==/UserStyle== */

/* To turn this on all the time, go to Preferences and select  gadget-coin-copper:   [https://research.moraleconomy.au/index.php?title=Special:Preferences#mw-prefsection-gadgets]
Alternatively, install a user styles add-on and then open this URL:
https://research.moraleconomy.au/index.php?action=raw&title=MediaWiki:Gadget-coin-copper.user.css

credit for this recoloring trick goes to:   barrd.dev/article/adding-colour-to-an-emoji-using-different-css-techniques/ */

.nickel-page .visual {
 filter: invert(9%) sepia(70%) saturate(50%) hue-rotate(370deg) brightness(90%);
 font-weight: normal;  /* in manually-written templates the "b" tag is used to represent the different color */
}

/* [[C:Hue configuration Gadgets]] [[C:Nickel page templates]] */